## ros-indigo-cob-image-flip 0.6.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_image_flip)

# all ROS packages from package.xml (libopencv-dev is system dependency --> sudo apt-get install)
set(catkin_RUN_PACKAGES 
	cob_perception_msgs
	cv_bridge
	geometry_msgs
	image_transport
	nodelet
	pcl_ros
	pcl_conversions
	pluginlib
	roscpp
	sensor_msgs
	stereo_msgs
	tf
)

set(catkin_BUILD_PACKAGES 
	${catkin_RUN_PACKAGES}
)


## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
	${catkin_BUILD_PACKAGES}
)

find_package(Boost REQUIRED COMPONENTS signals)
find_package(OpenCV REQUIRED)
#find_package(PCL REQUIRED)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
	INCLUDE_DIRS
		ros/include
	LIBRARIES
		image_flip_nodelet
	CATKIN_DEPENDS
		${catkin_RUN_PACKAGES}
	DEPENDS
		Boost
		OpenCV
		#PCL
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
include_directories(
	ros/include
	${catkin_INCLUDE_DIRS}
	${OpenCV_INCLUDE_DIRS}
	${Boost_INCLUDE_DIRS}
	#${PCL_INCLUDE_DIRS}
)

## Declare a cpp library
add_library(image_flip_nodelet
	ros/src/image_flip_nodelet.cpp
	ros/src/image_flip.cpp
)
set_target_properties(image_flip_nodelet PROPERTIES COMPILE_FLAGS -D__LINUX__)
target_link_libraries(image_flip_nodelet
	${catkin_LIBRARIES}
	${Boost_LIBRARIES}
	${OpenCV_LIBS}
	#${PCL_LIBRARIES}
)
add_dependencies(image_flip_nodelet ${catkin_EXPORTED_TARGETS})


## Declare a cpp executable
add_executable(image_flip
	ros/src/image_flip_main.cpp
	ros/src/image_flip.cpp
)
set_target_properties(image_flip PROPERTIES COMPILE_FLAGS -D__LINUX__)
target_link_libraries(image_flip
	${catkin_LIBRARIES}
	${Boost_LIBRARIES}
	${OpenCV_LIBS}
	#${PCL_LIBRARIES}
)
add_dependencies(image_flip ${catkin_EXPORTED_TARGETS})


#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS image_flip_nodelet image_flip
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY ros/include/${PROJECT_NAME}/
	DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
	FILES_MATCHING PATTERN "*.h"
	PATTERN ".svn" EXCLUDE
)

## Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY ros/launch
	DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES
	nodelet_plugins.xml
	DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-image-flip (0.6.12-0trusty) trusty; urgency=high

  * fixed opencv include names (#90 <https://github.com/ipa320/cob_perception_common/issues/90>)
    fixed opencv include names
  * Contributors: Richard Bormann

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-image-flip (0.6.11-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #87 <https://github.com/ipa320/cob_perception_common/issues/87> from ipa-fxm/fix/depend_pluginlib
    add missing dependency
  * add missing dependency
  * Merge pull request #86 <https://github.com/ipa320/cob_perception_common/issues/86> from mikaelarguedas/patch-1
    update to use non deprecated pluginlib macro
  * update to use non deprecated pluginlib macro
  * use license apache 2.0
  * Contributors: Mikael Arguedas, Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-image-flip (0.6.10-0trusty) trusty; urgency=high

  * removed unnecessary cmake_modules in CMakeLists
  * Contributors: Richard Bormann

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 19 Jul 2017 22:00:00 -0000

ros-indigo-cob-image-flip (0.6.9-0trusty) trusty; urgency=high

  * remove obsolete dependencies to cmake_modules
  * manually fix changelog
  * reduce console logs
  * comment std out
  * fixed a direction sign bug with sin() in gravity mode
  * fixed upside down rotation bug in gravity mode
  * 180deg flip for gravity mode
  * fixed image flip rotation against gravity
  * Contributors: Richard Bormann, ipa-cob4-1, ipa-fxm, msh

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-image-flip (0.6.8-0trusty) trusty; urgency=high

  * added publisher to image flip for providing the inverse inplane rotation to subscribers to the upright image
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_perception_common into indigo_dev
  * Contributors: Richard Bormann

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-image-flip (0.6.7-0trusty) trusty; urgency=high

  * added the possibility to turn DisparityImages
  * fix remaining issues from #54 <https://github.com/ipa320/cob_perception_common/issues/54>
  * removing dependency to message_generation because no messages are generated in this package
  * conversion to package format 2
  * removed an obsolete parameter
  * added point cloud rotation, i.e. the rotation of the ordered indexing matrix of the point cloud data
  * added wait for transform because of non-flipping bug
  * added standard output on point cloud flip
  * hopefully corrected dependencies to message generation
  * Contributors: Florian Weisshardt, Richard Bormann, ipa-fmw

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-image-flip (0.6.6-0trusty) trusty; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-image-flip (0.6.5-0trusty) trusty; urgency=high

  * unify version number
  * changed version number
  * updated changelog
  * complete revision of cob_image_flip, simple configuration from yaml file, rotaation modi: fixed angle and automatic angle determination from tf with option to round rotation in 90 deg steps
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_perception_common into 320-indigo_dev
  * cleaning up
  * added a visualization program for cob_object_detection_msgs::DetectionArray messages, displays as a MarkerArray in Rviz
  * catkinizing
  * catkinizing
  * Contributors: Florian Weisshardt, Richard Bormann, rmb-om

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-image-flip (0.6.4-0trusty) trusty; urgency=high

  * 0.5.12
  * update changelog
  * cleanup changelog
  * 0.5.11
  * update changelog
  * Contributors: Florian Weisshardt

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-indigo-cob-image-flip (0.6.3-0trusty) trusty; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 07 Sep 2014 22:00:00 -0000

ros-indigo-cob-image-flip (0.6.2-0trusty) trusty; urgency=high

  * Update package.xml
  * increase version number for indigo
  * 0.5.10
  * update changelog
  * downgrade version for hydro
  * using opencv2 instead of libopencv-dev for hydro version (should not be merged into indigo)
  * Contributors: Florian Weisshardt

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 31 Aug 2014 22:00:00 -0000

ros-indigo-cob-image-flip (0.6.1-0trusty) trusty; urgency=high

  * Merge branch 'indigo_dev' into indigo_release_candidate
  * fix wrong opencv dep - again
  * Contributors: Florian Weisshardt

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-image-flip (0.6.0-0trusty) trusty; urgency=high

  * 0.5.6
  * 0.5.5
  * update changelog
  * missing install tags
  * 0.5.5
  * Merge pull request #26 <https://github.com/ipa320/cob_perception_common/issues/26> from ipa320/hydro_dev
    updates from hydro_dev
  * update changelog
  * fix wrong opencv dep
  * Contributors: Alexander Bubeck, Florian Weisshardt, ipa-fxm

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-image-flip (0.5.10-0trusty) trusty; urgency=high

  * downgrade version for hydro
  * using opencv2 instead of libopencv-dev for hydro version (should not be merged into indigo)
  * 0.6.1
  * update changelog
  * Merge branch 'indigo_dev' into indigo_release_candidate
  * fix wrong opencv dep - again
  * 0.6.0
  * update changelog
  * 0.5.5
  * Merge pull request #26 <https://github.com/ipa320/cob_perception_common/issues/26> from ipa320/hydro_dev


=== debian/control ===
Source: ros-indigo-cob-image-flip
Section: misc
Priority: extra
Maintainer: Richard Bormann <richard.bormann@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libopencv-dev, ros-indigo-catkin, ros-indigo-cob-perception-msgs, ros-indigo-cv-bridge, ros-indigo-geometry-msgs, ros-indigo-image-transport, ros-indigo-nodelet, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-stereo-msgs, ros-indigo-tf
Homepage: http://wiki.ros.org/cob_image_flip
Standards-Version: 3.9.2

Package: ros-indigo-cob-image-flip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libopencv-dev, ros-indigo-cob-perception-msgs, ros-indigo-cv-bridge, ros-indigo-geometry-msgs, ros-indigo-image-transport, ros-indigo-nodelet, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-stereo-msgs, ros-indigo-tf
Description: Flips the image of Care-O-bots kinect in dependence of the viewing direction of the cameras to receive an upright image all the time.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-image-flip//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
